function [L,U] = lu_kij(A)
%
% LU factorization (without pivoting), kij version, didactic purpose
%
% A = L*U

% this is the standard implementation of LU
n = length(A);
for k = 1:n-1
  for i = k+1:n
    A(i,k) = A(i,k)/A(k,k);
    for j = k+1:n
      A(i,j) = A(i,j)-A(i,k)*A(k,j); % i-th row is changed
    end
  end
end
U = triu(A);
L = A-U+eye(size(A));
